# Earth Lab -- Pull Request Template
Welcome to MatPlotCheck! 

Before submitting a Pull Request please be sure to submit an issue that describes what the contents of the PR addresses.

**IMPORTANT:** Please do not use this repository as a practice activity to learn how to use GitHub! Only submit a PR after: 

1. Submitting an issue with a valid item that you wish to address in earthpy
2. Getting approval from one of the maintainers to submit a formal PR.

## Description

Please include a summary of the change and which issue is fixed. Be sure to reference the ISSUE that this PR addresses which should have been approved by an earthpy maintainer. 

Fixes # (issue)

## Type of change

Please delete options that are not relevant.

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update

## How Has This Been Tested?

Please describe the tests that you ran to verify your changes. Provide instructions so we can reproduce. Please also list any relevant details for your test configuration

- [ ] Test A
- [ ] Test B


## Checklist:

- [ ] I have already submitted an issue and it was approved for a pr by an earthpy maintainer
- [ ] My code follows the style guidelines of this project
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] I have made corresponding changes to the documentation
- [ ] My changes generate no new warnings
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] New and existing unit tests pass locally with my changes
- [ ] Any dependent changes have been merged and published in downstream modules
- [ ] I have checked my code and corrected any misspellings
